Subject: Re: [PATCH v3 03/14] object-file: extract function to read object info from path

From: Taylor Blau <[email-masked]>
Date: Wed, 21 Jan 2026 19:04:02 -0500

On Wed, Jan 21, 2026 at 01:50:19PM +0100, Patrick Steinhardt wrote:
> Extract a new function that allows us to read object info for a specific
> loose object via a user-supplied path. This function will be used in a
> subsequent commit.

I think that I'm a tad unsure of this interface. I understand that for
the existing object storage mechanism that having a path makes sense:
loose objects are stored in files which are referenced by their path.

But this feels like a leaky abstraction to me. If we are dealing with an
object store implementation that uses entries in a database, or
arbitrary blob storage, do they have an equivalent concept of "path"?

Perhaps this is clear later on in the series, but I think at this point
I am a little unclear of the direction.

Thanks,
Taylor